| Home | Libraries | People | FAQ | More

## Struct template is_node_index<boost::interprocess::map_index< MapConfig >>

boost::interprocess::is_node_index<boost::interprocess::map_index< MapConfig >>

## Synopsis

    // In header: <boost/interprocess/indexes/map_index.hpp>

    template<typename MapConfig>
    struct is_node_index<boost::interprocess::map_index< MapConfig >> {

      enum @6 { value =  true };
    };

## Description

@ Trait class to detect if an index is a node index. This allows more efficient operations when deallocating named objects.